Skip to main content

X11 fails to start after Security Update 2010-002

A little late, but that's what happend here today:

$ /Applications/Utilities/X11.app/Contents/MacOS/X11.bin
Dyld Error Message:
  Library not loaded: /usr/X11/lib/libpixman-1.0.dylib
  Referenced from: /Applications/Utilities/X11.app/Contents/MacOS/X11.bin
  Reason: Incompatible library version: X11.bin requires version 15.0.0 or later,
          but libpixman-1.0.dylib provides version 13.0.0
As I could not back out Security Update 2010-002, I just headed over to XQuartz on MacOSforge to install XQuartz 2.5.3 - logged out and back in and X11 is working again :-)